Bug 17761 - Renewing or returning item via the checkouts table causes lost and damaged statuses to disappear
Summary: Renewing or returning item via the checkouts table causes lost and damaged st...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-12 11:58 UTC by Kyle M Hall
Modified: 2017-01-29 11:43 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17761 - Renewing or returning item via the checkouts table causes lost and damaged statuses to disappear (1.92 KB, patch)
2016-12-12 12:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17761 - Renewing or returning item via the checkouts table causes lost and damaged statuses to disappear (2.02 KB, patch)
2016-12-13 14:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17761 - Renewing or returning item via the checkouts table causes lost and damaged statuses to disappear (2.10 KB, patch)
2016-12-13 15:03 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-12-12 11:58:47 UTC
Due to the fact that the lost and damaged status are contained within the due_due span, when the item is renewed or returned these statuses disappear. Some librarians find this disconcerting and it seems that it would be better to keep the visible.
Comment 1 Kyle M Hall 2016-12-12 12:01:49 UTC
Created attachment 58112 [details] [review]
Bug 17761 - Renewing or returning item via the checkouts table causes lost and damaged statuses to disappear

Due to the fact that the lost and damaged status are contained within the due_due span,
when the item is renewed or returned these statuses disappear.
Some librarians find this disconcerting and it seems that it would be better to keep the visible.

Test Plan:
1) Find a lost item checked out to a patron
2) Renew that lost item via the checkouts table
3) Notice the lost status disappears from that row
4) Apply this patch
5) Refresh the page ( you may want to clear your browser cache as well )
6) Renew the item again
7) The lost status should remain visible!
Comment 2 Kyle M Hall 2016-12-13 14:46:45 UTC
Created attachment 58160 [details] [review]
Bug 17761 - Renewing or returning item via the checkouts table causes lost and damaged statuses to disappear

Due to the fact that the lost and damaged status are contained within the due_due span,
when the item is renewed or returned these statuses disappear.
Some librarians find this disconcerting and it seems that it would be better to keep the visible.

Test Plan:
1) Find a lost item checked out to a patron
2) Renew that lost item via the checkouts table
3) Notice the lost status disappears from that row
4) Apply this patch
5) Refresh the page ( you may want to clear your browser cache as well )
6) Renew the item again
7) The lost status should remain visible!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Edie Discher <edischer@cityoffargo.com>
Comment 3 Jonathan Druart 2016-12-13 15:03:52 UTC
Created attachment 58162 [details] [review]
Bug 17761 - Renewing or returning item via the checkouts table causes lost and damaged statuses to disappear

Due to the fact that the lost and damaged status are contained within the due_due span,
when the item is renewed or returned these statuses disappear.
Some librarians find this disconcerting and it seems that it would be better to keep the visible.

Test Plan:
1) Find a lost item checked out to a patron
2) Renew that lost item via the checkouts table
3) Notice the lost status disappears from that row
4) Apply this patch
5) Refresh the page ( you may want to clear your browser cache as well )
6) Renew the item again
7) The lost status should remain visible!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Edie Discher <edischer@cityoffargo.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-12-16 11:40:01 UTC
Pushed to master for 17.05!
Comment 5 Katrin Fischer 2016-12-18 19:43:15 UTC
I feel like we can change this from enhancement to a bug as the renewal should not make data disappear.
Comment 6 Katrin Fischer 2016-12-18 20:35:44 UTC
This won't get backported to 16.11.x as it is an enhancement.
Comment 7 Julian Maurice 2017-01-02 11:43:44 UTC
(In reply to Katrin Fischer from comment #6)
> This won't get backported to 16.11.x as it is an enhancement.

This is actually a bug and was backported to 16.11.x
http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=75c3cda017e4998974fad285e21bf63b08e4fce6
Comment 8 Julian Maurice 2017-01-02 11:44:05 UTC
Pushed to 3.22.x for 3.22.14
Comment 9 Katrin Fischer 2017-01-03 06:24:19 UTC
Julian, you are right - sorry for the mistake!
Comment 10 Mason James 2017-01-29 11:43:11 UTC
Pushed to 16.05.x, for 16.05.07 release